<?php
namespace Claromentis\Infocapture\Exception;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array();
use Throwable;
class ICPluginValidationException extends \ICPluginException
{
    protected array $field_errors;
    public function __construct($message = "", $code = 0, Throwable $_ee1c4cef8785a744408faf37f4e50100 = null, array $_9d3830af42974d712e9d52ccb2c804e5 = [])
    {
        parent::__construct($message, $code, $_ee1c4cef8785a744408faf37f4e50100);
        $this->field_errors = $_9d3830af42974d712e9d52ccb2c804e5;
    }
    
    
    
    
    public function GetFieldErrors() : array
    {
        return $this->field_errors;
    }
}